Skip to main content
GET
List payment requests for payment link

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Path Parameters

id
string<nanoid>
required
Example:

"bus_123456789"

Query Parameters

sort
enum<string>

The order to sort the results

Available options:
asc,
desc
Example:

"asc"

limit
integer

The number of items to return

Example:

10

cursor
string<string>

The cursor

status
enum<string>

Filter by status

Available options:
pending,
expired,
cancelled,
completed,
failed,
multiple_deposits,
under_payment,
over_payment

Response

Successful response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

pagination
object
required
data
object[]
required